<?php
/*
	Copyright(c) 2010 Shift Tech Inc. All Rights Reserved.
 	http://www.shift-tech.jp/

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

require_once (LIB_PATH.'/common/sidebarDB.php');
require_once (LIB_PATH.'/common/templateDB.php');
class Admin_admin_template_Sideunit extends sidebarDB
{
	var $_tpl_code;
	function prepare($view)
	{
		$this->_tpl_code = $this->getrequest("tpl_code");
		$tpldata = templateDB::getData($this->_tpl_code);
		$view->assign("tpldata",$tpldata);
		$view->assign("tpl_code",$this->_tpl_code);
		
		return null;
	}
	
	function perform($view)
	{	
        return 'template/sideunit.tpl';
	}
}
?>